POST /riffusion/generate
Method: POSTEndpoint: /riffusion/generate
This section contains endpoint-specific behavior, parameters, or usage notes for this API.
Request Parameters
Header Parameters
text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}Body Parameters application/json
text
model
string
Required
lyrics
string
Required
tag
string
Required
title
string
Required
morph
object
Required
riff_id
string
Required
transform
string
Required
crop_end_at
number
Required
normalized_lyrics_strength
number
Required
normalized_sound_prompt_strength
number
Required
normalized_weirdness
number
Required
normalized_variation_strength
integer
Required
duration
number
Required
Example
{
"model"
:
"string"
,
"lyrics"
:
"string"
,
"tag"
:
"string"
,
"title"
:
"string"
,
"morph"
:
{
"riff_id"
:
"string"
,
"transform"
:
"string"
,
"crop_end_at"
:
0
,
"normalized_lyrics_strength"
:
0
,
"normalized_sound_prompt_strength"
:
0
,
"normalized_weirdness"
:
0
,
"normalized_variation_strength"
:
0
,
"duration"
:
0
}
}Example Request
Shell
bash
curl --location --request POST '/riffusion/generate' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
"model": "string",
"lyrics": "string",
"tag": "string",
"title": "string",
"morph": {
"riff_id": "string",
"transform": "string",
"crop_end_at": 0,
"normalized_lyrics_strength": 0,
"normalized_sound_prompt_strength": 0,
"normalized_weirdness": 0,
"normalized_variation_strength": 0,
"duration": 0
}
}'Response
🟢 200 Success
Content Type: application/json
Response Schema
text
objectExample
json
{}